| Python Script Engine 8.3 GL Studio Editor Python Script API

Public Member Functions | Static Public Member Functions | List of all members
GlsSchematicTeeInterconnect Class Reference
Inheritance diagram for GlsSchematicTeeInterconnect:

## Public Member Functions
| GlsSchematicTeeInterconnect ()
void | SetLeftLineThickness (float val)
float | GetLeftLineThickness (void)
void | SetRightLineThickness (float val)
float | GetRightLineThickness (void)
void | SetTopLineThickness (float val)
float | GetTopLineThickness (void)
void | SetBaseLineThickness (float val)
float | GetBaseLineThickness (void)
void | SetLeftInterconnectTextureIndex (int interconnectTextureIndex)
int | GetLeftInterconnectTextureIndex ()
void | SetRightInterconnectTextureIndex (int interconnectTextureIndex)
int | GetRightInterconnectTextureIndex ()
void | SetTopInterconnectTextureIndex (int interconnectTextureIndex)
int | GetTopInterconnectTextureIndex ()
void | SetBaseInterconnectTextureIndex (int interconnectTextureIndex)
int | GetBaseInterconnectTextureIndex ()
void | SetLeftInterconnectTextureRepeatLength (float interconnectTextureRepeatLength)
float | GetLeftInterconnectTextureRepeatLength ()
void | SetRightInterconnectTextureRepeatLength (float interconnectTextureRepeatLength)
float | GetRightInterconnectTextureRepeatLength ()
void | SetTopInterconnectTextureRepeatLength (float interconnectTextureRepeatLength)
float | GetTopInterconnectTextureRepeatLength ()
void | SetBaseInterconnectTextureRepeatLength (float interconnectTextureRepeatLength)
float | GetBaseInterconnectTextureRepeatLength ()
void | SetLeftFlowTextureIndex (int flowTextureIndex)
int | GetLeftFlowTextureIndex ()
void | SetRightFlowTextureIndex (int flowTextureIndex)
int | GetRightFlowTextureIndex ()
void | SetTopFlowTextureIndex (int flowTextureIndex)
int | GetTopFlowTextureIndex ()
void | SetBaseFlowTextureIndex (int flowTextureIndex)
int | GetBaseFlowTextureIndex ()
void | SetLeftFlowTextureRepeatLength (float flowTextureRepeatLength)
float | GetLeftFlowTextureRepeatLength ()
void | SetRightFlowTextureRepeatLength (float flowTextureRepeatLength)
float | GetRightFlowTextureRepeatLength ()
void | SetTopFlowTextureRepeatLength (float flowTextureRepeatLength)
float | GetTopFlowTextureRepeatLength ()
void | SetBaseFlowTextureRepeatLength (float flowTextureRepeatLength)
float | GetBaseFlowTextureRepeatLength ()
void | SetLeftShowFlow (bool showFlow)
bool | GetLeftShowFlow ()
void | SetRightShowFlow (bool showFlow)
bool | GetRightShowFlow ()
void | SetTopShowFlow (bool showFlow)
bool | GetTopShowFlow ()
void | SetBaseShowFlow (bool showFlow)
bool | GetBaseShowFlow ()
void | SetLeftFlowRate (float flowRate)
float | GetLeftFlowRate ()
void | SetRightFlowRate (float flowRate)
float | GetRightFlowRate ()
void | SetTopFlowRate (float flowRate)
float | GetTopFlowRate ()
void | SetBaseFlowRate (float flowRate)
float | GetBaseFlowRate ()
void | SetLeftShowFlowBlink (bool showFlowBlink)
bool | GetLeftShowFlowBlink ()
void | SetRightShowFlowBlink (bool showFlowBlink)
bool | GetRightShowFlowBlink ()
void | SetTopShowFlowBlink (bool showFlowBlink)
bool | GetTopShowFlowBlink ()
void | SetBaseShowFlowBlink (bool showFlowBlink)
bool | GetBaseShowFlowBlink ()
void | SetLeftFlowBlinkRate (float flowBlinkRate)
float | GetLeftFlowBlinkRate ()
void | SetRightFlowBlinkRate (float flowBlinkRate)
float | GetRightFlowBlinkRate ()
void | SetTopFlowBlinkRate (float flowBlinkRate)
float | GetTopFlowBlinkRate ()
void | SetBaseFlowBlinkRate (float flowBlinkRate)
float | GetBaseFlowBlinkRate ()
void | SetLeftFlowBlinkStartColor (GlsColor &startColor)
GlsColor | GetLeftFlowBlinkStartColor ()
void | SetRightFlowBlinkStartColor (GlsColor &startColor)
GlsColor | GetRightFlowBlinkStartColor ()
void | SetTopFlowBlinkStartColor (GlsColor &startColor)
GlsColor | GetTopFlowBlinkStartColor ()
void | SetBaseFlowBlinkStartColor (GlsColor &startColor)
GlsColor | GetBaseFlowBlinkStartColor ()
void | SetLeftFlowBlinkEndColor (GlsColor &endColor)
GlsColor | GetLeftFlowBlinkEndColor ()
void | SetRightFlowBlinkEndColor (GlsColor &endColor)
GlsColor | GetRightFlowBlinkEndColor ()
void | SetTopFlowBlinkEndColor (GlsColor &endColor)
GlsColor | GetTopFlowBlinkEndColor ()
void | SetBaseFlowBlinkEndColor (GlsColor &endColor)
GlsColor | GetBaseFlowBlinkEndColor ()
void | SetTopVisible (bool topVisible)
bool | GetTopVisible ()
Public Member Functions inherited from GLPolygon
| GLPolygon (VertexArray &vertices)
| GLPolygon (VertexArray &vertices, Vector &location)
| GLPolygon (std::vector< Vertex > vertices)
| GLPolygon (std::vector< Vertex > vertices, Vector &location)
Public Member Functions inherited from DisplayObject
bool | isNULL ()
String | GetName ()
String | SetName (String name)
void | SetProtectionMode (DisplayObject::MemberAccess_e mode)
DisplayObject::MemberAccess_e | GetProtectionMode (void)
void | SetLocked (bool val)
bool | GetLocked (void)
bool | GetGenerateMemberVariable ()
void | SetGenerateMemberVariable (bool b)
bool | GetAntiAliasing ()
void | SetAntiAliasing (bool antiAliasing)
bool | GetBlinking ()
void | SetBlinking (bool blinking)
float | GetBlinkRate ()
void | SetBlinkRate (float rate)
int | GetAlphaMode ()
void | SetAlphaMode (int mode)
bool | GetCullBackFaces ()
void | SetCullBackFaces (bool cullFaces)
bool | GetZBufferTestedFlag ()
void | SetZBufferTestedFlag (bool tested)
bool | GetAffectZBufferFlag ()
void | SetAffectZBufferFlag (bool affect)
bool | GetLightingEnabledFlag ()
void | SetLightingEnabledFlag (bool enabled)
DisplayObject::PickableType_e | GetPickMode ()
void | SetPickMode (DisplayObject::PickableType_e mode)
bool | GetVisibilityFlag ()
void | SetVisibilityFlag (bool visible)
PolygonClose_e | GetClosePolygonFlag ()
void | SetClosePolygonFlag (PolygonClose_e closePolygon)
PolygonMode_e | GetPolygonMode ()
void | SetPolygonMode (PolygonMode_e polygonMode)
ShadingType_e | GetShadingMode ()
void | SetShadingMode (ShadingType_e shadingMode)
Vertex | GetLocation ()
void | SetLocation (Vertex loc)
Vertex | GetRotationPoint ()
void | SetRotationPoint (Vertex rotPoint)
GlsMatrixAffine * | GetDcsMatrix ()
void | SetDcsMatrix (GlsMatrixAffine *matrix)
int | GetMaterialIndex ()
void | SetMaterialIndex (int matIndex)
String | GetObjectClassName ()
int | GetTextureIndex ()
void | SetTextureIndex (int texIndex)
TextureMap_e | GetTextureMappingTechnique ()
void | SetTextureMappingTechnique (TextureMap_e mappingTechnique)
bool | GetTextureRepeat ()
void | SetTextureRepeat (bool repeat)
disti::GlsColor | GetBlendingColor ()
void | SetBlendingColor (GlsColor blendColor)
DisplayObject::TextureFilter_e | GetTextureMagnificationFilter ()
void | SetTextureMagnificationFilter (DisplayObject::TextureFilter_e filter)
DisplayObject::TextureFilter_e | GetTextureMinificationFilter ()
void | SetTextureMinificationFilter (DisplayObject::TextureFilter_e filter)
std::vector< Vector > | GetTextureCoordinates ()
void | SetTextureCoordinates (std::vector< Vector > &texVerts)
void | GetTextureCoordinates (VertexArray *texVerts)
void | SetTextureCoordinates (VertexArray &texVerts)
void | GetTexturePoints (VertexArray *texVerts)
void | SetTexturePoints (VertexArray &texVerts)
void | SetTexturePoints (std::vector< Vector > &texVerts)
std::vector< Vector > | GetTexturePoints ()
void | GetVertices (VertexArray *verts)
void | SetVertices (VertexArray &verts)
String | GetInitialization ()
void | SetInitialization (String initCode)
String | GetCallbackCode ()
void | SetCallbackCode (String cbCode)
DisplayObject * | DuplicateObject (Document *doc=NULL)
DisplayObject * | TessellateObject ()
DisplayObject * | ExtrudeObject (float amount)
void | RotateObject (float amount, RotationAxis_e axis)
void | TranslateObject (float x, float y, float z)
void | ScaleObject (float x, float y, float z, Vertex *anchor=NULL)
void | LineWidth (float width)
float | LineWidth ()
LineStyle_e | LineStyle ()
void | LineStyle (LineStyle_e style)
GlsColor | LineColor ()
void | LineColor (GlsColor color)
GlsColor | FillColor ()
void | FillColor (GlsColor color)
void | GetExtents (Vector &min, Vector &max)
bool | HasUserDefinedAttribute (String attribName)
std::map< String, String > | GetUserDefinedAttributes ()
UserDefinedValueAttributeList | GetAllUserDefinedAttributes ()
String | GetUserDefinedAttributeValue (String attribName)
| typemap (check) String attribName
void | SetUserDefinedAttributeValue (String attribName, String value)
DisplayObject * | GetParent ()
Document * | GetDocument ()
String | AlternateClassName ()
void | AlternateClassName (String name)
String | GetAlternateClassHeaderFile ()
void | SetAlternateClassHeaderFile (String name)
String | GetResources ()
String | GetRuntimeResources (bool recursive)
String | GetAttributeType (String attribName)
String | GetAttributeValueString (String attribName)
void | SetAttributeValueString (String attribName, String value)
unsigned int | RegisterObserver (String attribName, PyObject *pyfunc)
void | UnregisterObserver (String attribName, unsigned int id)
std::vector< Vector > | GetNormals ()
void | SetNormals (std::vector< Vector > &normals)
std::vector< CustomAttributeInfo > | GetExtraAttributes ()
DisplayObject * | CloneObject ()
void | CopyProperties (DisplayObject *sourceObj)
void | SetLocation (Vector loc)
GlsMatrixAffine | GetObjectCoordinatesTransform (DisplayObject *targetObject)
void | CalculateParentBoundingBox ()
void | SetOrigin (Vertex &vert)

## Static Public Member Functions
static GlsSchematicTeeInterconnect * | CastToGlsSchematicTeeInterconnect (DisplayObject *obj)
Static Public Member Functions inherited from GLPolygon
static GLPolygon * | CastToGLPolygon (DisplayObject *obj)

## Additional Inherited Members
Public Types inherited from DisplayObject
enum | MemberAccess_e { PUBLIC , PRIVATE , PROTECTED }
enum | PickableType_e { UNPICKABLE , FIRST_PICK , BEST_PICK , ALWAYS_PICK }
enum | PolygonClose_e { POLY_OPEN , POLY_CLOSED }
enum | PolygonMode_e { POLY_MODE_UNDEFINED , POLY_MODE_POINTS , POLY_MODE_OUTLINE , POLY_MODE_FILLED , POLY_MODE_FILL_AND_OUTLINE }
enum | ShadingType_e { SHADING_FLAT , SHADING_GOURAUD }
enum | TextureMap_e { TEXTURE_MAP_MODULATE , TEXTURE_MAP_DECAL , TEXTURE_MAP_BLEND , TEXTURE_MAP_REPLACE }
enum | TextureFilter_e { TEXTURE_FILTER_NEAREST , TEXTURE_FILTER_LINEAR , TEXTURE_FILTER_NEAREST_MIPMAP_NEAREST , TEXTURE_FILTER_LINEAR_MIPMAP_LINEAR , TEXTURE_FILTER_NEAREST_MIPMAP_LINEAR , TEXTURE_FILTER_LINEAR_MIPMAP_NEAREST }
enum | TessellateType_e { TESSELLATE_UNION , TESSELLATE_INTERSECT , TESSELLATE_DIFFERENCE }
enum | RotationAxis_e { X_AXIS , Y_AXIS , Z_AXIS }
enum | LineStyle_e { SOLID_LINE_STYLE , SMALL_DOTTED_LINE_STYLE , DOTTED_LINE_STYLE , DASHED_LINE_STYLE , DOT_DASHED_LINE_STYLE , SMALL_DASHED_LINE_STYLE }
enum | AlphaMode_e { ALPHA_MODE_UNDEFINED , ALPHA_MODE_OPAQUE , ALPHA_MODE_2_LEVEL , ALPHA_MODE_256_LEVEL }
Static Public Attributes inherited from DisplayObject
static int | TEXTURE_INDEX_NONE = -1

## Detailed Description

Class that encapsulates a GlsSchematicTeeInterconnect.

## Constructor & Destructor Documentation

## ◆ GlsSchematicTeeInterconnect()

GlsSchematicTeeInterconnect::GlsSchematicTeeInterconnect | ( |  | ) |

Constructor.

Creates a GlsSchematicPolyLineInterconnect.

## Member Function Documentation

## ◆ CastToGlsSchematicTeeInterconnect()

static GlsSchematicTeeInterconnect * GlsSchematicTeeInterconnect::CastToGlsSchematicTeeInterconnect | ( | DisplayObject * | obj | ) |
| static

Casts a display object to a schematic tee interconnect.

Parameters

  obj | The display object to cast.

## ◆ GetBaseFlowBlinkEndColor()

GlsColor GlsSchematicTeeInterconnect::GetBaseFlowBlinkEndColor | ( |  | ) |

Get the flow blink end color for the base tee.

Returns
  The flow blink end color

## ◆ GetBaseFlowBlinkRate()

float GlsSchematicTeeInterconnect::GetBaseFlowBlinkRate | ( |  | ) |

Get the flow blink rate in Hz for the base tee.

Returns
  The flow blink rate in Hz

## ◆ GetBaseFlowBlinkStartColor()

GlsColor GlsSchematicTeeInterconnect::GetBaseFlowBlinkStartColor | ( |  | ) |

Get the flow blink start color for the base tee.

Returns
  The flow blink start color

## ◆ GetBaseFlowRate()

float GlsSchematicTeeInterconnect::GetBaseFlowRate | ( |  | ) |

Get the flow rate in "flow textures" / second for the base tee.

Returns
  The flow rate in "flow textures" / second

## ◆ GetBaseFlowTextureIndex()

int GlsSchematicTeeInterconnect::GetBaseFlowTextureIndex | ( |  | ) |

Get the flow texture index for the base tee.

Returns
  The flow texture index or NO_TEXTURE if no flow texture

## ◆ GetBaseFlowTextureRepeatLength()

float GlsSchematicTeeInterconnect::GetBaseFlowTextureRepeatLength | ( |  | ) |

Get the number of logical units per flow texture repeat for the base tee.

Returns
  The number of logical units per flow texture repeat

## ◆ GetBaseInterconnectTextureIndex()

int GlsSchematicTeeInterconnect::GetBaseInterconnectTextureIndex | ( |  | ) |

Get the interconnect texture index of the base tee.

Returns
  The interconnect texture index or NO_TEXTURE if no interconnect texture

## ◆ GetBaseInterconnectTextureRepeatLength()

float GlsSchematicTeeInterconnect::GetBaseInterconnectTextureRepeatLength | ( |  | ) |

Get the number of logical units per interconnect texture repeat for the base tee.

Returns
  The number of logical units per interconnect texture repeat

## ◆ GetBaseLineThickness()

float GlsSchematicTeeInterconnect::GetBaseLineThickness | ( | void |  | ) |

Gets the line thickness of the base tee.

Returns
  The line thickness in logical units

## ◆ GetBaseShowFlow()

bool GlsSchematicTeeInterconnect::GetBaseShowFlow | ( |  | ) |

Get whether or not the flow is displayed for the base tee.

Returns
  True if flow is shown else false

## ◆ GetBaseShowFlowBlink()

bool GlsSchematicTeeInterconnect::GetBaseShowFlowBlink | ( |  | ) |

Get whether or not the flow blink is displayed for the base tee.

(NOTE: normal flow is not drawn if flow blink is true)

Returns
  True if flow blink is shown else false

## ◆ GetLeftFlowBlinkEndColor()

GlsColor GlsSchematicTeeInterconnect::GetLeftFlowBlinkEndColor | ( |  | ) |

Get the flow blink end color for the left tee.

Returns
  The flow blink end color

## ◆ GetLeftFlowBlinkRate()

float GlsSchematicTeeInterconnect::GetLeftFlowBlinkRate | ( |  | ) |

Get the flow blink rate in Hz for the left tee.

Returns
  The flow blink rate in Hz

## ◆ GetLeftFlowBlinkStartColor()

GlsColor GlsSchematicTeeInterconnect::GetLeftFlowBlinkStartColor | ( |  | ) |

Get the flow blink start color for the left tee.

Returns
  The flow blink start color

## ◆ GetLeftFlowRate()

float GlsSchematicTeeInterconnect::GetLeftFlowRate | ( |  | ) |

Get the flow rate in "flow textures" / second for the left tee.

Returns
  The flow rate in "flow textures" / second

## ◆ GetLeftFlowTextureIndex()

int GlsSchematicTeeInterconnect::GetLeftFlowTextureIndex | ( |  | ) |

Get the flow texture index for the left tee.

Returns
  The flow texture index or NO_TEXTURE if no flow texture

## ◆ GetLeftFlowTextureRepeatLength()

float GlsSchematicTeeInterconnect::GetLeftFlowTextureRepeatLength | ( |  | ) |

Get the number of logical units per flow texture repeat for the left tee.

Returns
  The number of logical units per flow texture repeat

## ◆ GetLeftInterconnectTextureIndex()

int GlsSchematicTeeInterconnect::GetLeftInterconnectTextureIndex | ( |  | ) |

Get the interconnect texture index of the left tee.

Returns
  The interconnect texture index or NO_TEXTURE if no interconnect texture

## ◆ GetLeftInterconnectTextureRepeatLength()

float GlsSchematicTeeInterconnect::GetLeftInterconnectTextureRepeatLength | ( |  | ) |

Get the number of logical units per interconnect texture repeat for the left tee.

Returns
  The number of logical units per interconnect texture repeat

## ◆ GetLeftLineThickness()

float GlsSchematicTeeInterconnect::GetLeftLineThickness | ( | void |  | ) |

Gets the line thickness of the left tee.

Returns
  The line thickness in logical units

## ◆ GetLeftShowFlow()

bool GlsSchematicTeeInterconnect::GetLeftShowFlow | ( |  | ) |

Get whether or not the flow is displayed for the left tee.

Returns
  True if flow is shown else false

## ◆ GetLeftShowFlowBlink()

bool GlsSchematicTeeInterconnect::GetLeftShowFlowBlink | ( |  | ) |

Get whether or not the flow blink is displayed for the left tee.

(NOTE: normal flow is not drawn if flow blink is true)

Returns
  True if flow blink is shown else false

## ◆ GetRightFlowBlinkEndColor()

GlsColor GlsSchematicTeeInterconnect::GetRightFlowBlinkEndColor | ( |  | ) |

Get the flow blink end color for the right tee.

Returns
  The flow blink end color

## ◆ GetRightFlowBlinkRate()

float GlsSchematicTeeInterconnect::GetRightFlowBlinkRate | ( |  | ) |

Get the flow blink rate in Hz for the right tee.

Returns
  The flow blink rate in Hz

## ◆ GetRightFlowBlinkStartColor()

GlsColor GlsSchematicTeeInterconnect::GetRightFlowBlinkStartColor | ( |  | ) |

Get the flow blink start color for the right tee.

Returns
  The flow blink start color

## ◆ GetRightFlowRate()

float GlsSchematicTeeInterconnect::GetRightFlowRate | ( |  | ) |

Get the flow rate in "flow textures" / second for the right tee.

Returns
  The flow rate in "flow textures" / second

## ◆ GetRightFlowTextureIndex()

int GlsSchematicTeeInterconnect::GetRightFlowTextureIndex | ( |  | ) |

Get the flow texture index for the right tee.

Returns
  The flow texture index or NO_TEXTURE if no flow texture

## ◆ GetRightFlowTextureRepeatLength()

float GlsSchematicTeeInterconnect::GetRightFlowTextureRepeatLength | ( |  | ) |

Get the number of logical units per flow texture repeat for the right tee.

Returns
  The number of logical units per flow texture repeat

## ◆ GetRightInterconnectTextureIndex()

int GlsSchematicTeeInterconnect::GetRightInterconnectTextureIndex | ( |  | ) |

Get the interconnect texture index of the right tee.

Returns
  The interconnect texture index or NO_TEXTURE if no interconnect texture

## ◆ GetRightInterconnectTextureRepeatLength()

float GlsSchematicTeeInterconnect::GetRightInterconnectTextureRepeatLength | ( |  | ) |

Get the number of logical units per interconnect texture repeat for the right tee.

Returns
  The number of logical units per interconnect texture repeat

## ◆ GetRightLineThickness()

float GlsSchematicTeeInterconnect::GetRightLineThickness | ( | void |  | ) |

Gets the line thickness of the right tee.

Returns
  The line thickness in logical units

## ◆ GetRightShowFlow()

bool GlsSchematicTeeInterconnect::GetRightShowFlow | ( |  | ) |

Get whether or not the flow is displayed for the right tee.

Returns
  True if flow is shown else false

## ◆ GetRightShowFlowBlink()

bool GlsSchematicTeeInterconnect::GetRightShowFlowBlink | ( |  | ) |

Get whether or not the flow blink is displayed for the right tee.

(NOTE: normal flow is not drawn if flow blink is true)

Returns
  True if flow blink is shown else false

## ◆ GetTopFlowBlinkEndColor()

GlsColor GlsSchematicTeeInterconnect::GetTopFlowBlinkEndColor | ( |  | ) |

Get the flow blink end color for the top tee.

Returns
  The flow blink end color

## ◆ GetTopFlowBlinkRate()

float GlsSchematicTeeInterconnect::GetTopFlowBlinkRate | ( |  | ) |

Get the flow blink rate in Hz for the top tee.

Returns
  The flow blink rate in Hz

## ◆ GetTopFlowBlinkStartColor()

GlsColor GlsSchematicTeeInterconnect::GetTopFlowBlinkStartColor | ( |  | ) |

Get the flow blink start color for the top tee.

Returns
  The flow blink start color

## ◆ GetTopFlowRate()

float GlsSchematicTeeInterconnect::GetTopFlowRate | ( |  | ) |

Get the flow rate in "flow textures" / second for the top tee.

Returns
  The flow rate in "flow textures" / second

## ◆ GetTopFlowTextureIndex()

int GlsSchematicTeeInterconnect::GetTopFlowTextureIndex | ( |  | ) |

Get the flow texture index for the top tee.

Returns
  The flow texture index or NO_TEXTURE if no flow texture

## ◆ GetTopFlowTextureRepeatLength()

float GlsSchematicTeeInterconnect::GetTopFlowTextureRepeatLength | ( |  | ) |

Get the number of logical units per flow texture repeat for the top tee.

Returns
  The number of logical units per flow texture repeat

## ◆ GetTopInterconnectTextureIndex()

int GlsSchematicTeeInterconnect::GetTopInterconnectTextureIndex | ( |  | ) |

Get the interconnect texture index of the top tee.

Returns
  The interconnect texture index or NO_TEXTURE if no interconnect texture

## ◆ GetTopInterconnectTextureRepeatLength()

float GlsSchematicTeeInterconnect::GetTopInterconnectTextureRepeatLength | ( |  | ) |

Get the number of logical units per interconnect texture repeat for the top tee.

Returns
  The number of logical units per interconnect texture repeat

## ◆ GetTopLineThickness()

float GlsSchematicTeeInterconnect::GetTopLineThickness | ( | void |  | ) |

Gets the line thickness of the top tee.

Returns
  The line thickness in logical units

## ◆ GetTopShowFlow()

bool GlsSchematicTeeInterconnect::GetTopShowFlow | ( |  | ) |

Get whether or not the flow is displayed for the top tee.

Returns
  True if flow is shown else false

## ◆ GetTopShowFlowBlink()

bool GlsSchematicTeeInterconnect::GetTopShowFlowBlink | ( |  | ) |

Get whether or not the flow blink is displayed for the top tee.

(NOTE: normal flow is not drawn if flow blink is true)

Returns
  True if flow blink is shown else false

## ◆ GetTopVisible()

bool GlsSchematicTeeInterconnect::GetTopVisible | ( |  | ) |

Get the current state of the tee top visibility flag.

Returns
  The state of the tee top visibility flag

## ◆ SetBaseFlowBlinkEndColor()

void GlsSchematicTeeInterconnect::SetBaseFlowBlinkEndColor | ( | GlsColor & | endColor | ) |

Set the flow blink end color for the base tee.

Parameters

  endColor | The flow blink end color

## ◆ SetBaseFlowBlinkRate()

void GlsSchematicTeeInterconnect::SetBaseFlowBlinkRate | ( | float | flowBlinkRate | ) |

Set the flow blink rate in Hz for the base tee.

Parameters

  flowBlinkRate | The flow blink rate in Hz

## ◆ SetBaseFlowBlinkStartColor()

void GlsSchematicTeeInterconnect::SetBaseFlowBlinkStartColor | ( | GlsColor & | startColor | ) |

Set the flow blink start color for the base tee.

Parameters

  startColor | The flow blink start color

## ◆ SetBaseFlowRate()

void GlsSchematicTeeInterconnect::SetBaseFlowRate | ( | float | flowRate | ) |

Set the flow rate in "flow textures" / second for the base tee.

This value must be positive.

Parameters

  flowRate | The flow rate in "flow textures" / second

## ◆ SetBaseFlowTextureIndex()

void GlsSchematicTeeInterconnect::SetBaseFlowTextureIndex | ( | int | flowTextureIndex | ) |

Set the flow texture index for the base tee.

Parameters

  flowTextureIndex | The new flow texture index or NO_TEXTURE for no flow texture

## ◆ SetBaseFlowTextureRepeatLength()

void GlsSchematicTeeInterconnect::SetBaseFlowTextureRepeatLength | ( | float | flowTextureRepeatLength | ) |

Set the number of logical units per flow texture repeat for the base tee.

This value must be positive. NOTE: number of actual repeats for the whole interconnect is always rounded to the nearest whole number so that adjacent interconnect's textures line up.

Parameters

  flowTextureRepeatLength | The new flow texture repeat length

Precondition
  flowTextureRepeatLength > 0.0f

## ◆ SetBaseInterconnectTextureIndex()

void GlsSchematicTeeInterconnect::SetBaseInterconnectTextureIndex | ( | int | interconnectTextureIndex | ) |

Set the interconnect texture index of the base tee.

Parameters

  interconnectTextureIndex | The new interconnect texture index or NO_TEXTURE for no interconnect texture

## ◆ SetBaseInterconnectTextureRepeatLength()

void GlsSchematicTeeInterconnect::SetBaseInterconnectTextureRepeatLength | ( | float | interconnectTextureRepeatLength | ) |

Set the number of logical units per interconnect texture repeat for the base tee.

This value must be positive. NOTE: number of actual repeats for the whole interconnect is always rounded to the nearest whole number so that adjacent interconnect's textures line up.

Parameters

  interconnectTextureRepeatLength | The new interconnect texture repeat length

Precondition
  interconnectTextureRepeatLength > 0.0f

## ◆ SetBaseLineThickness()

void GlsSchematicTeeInterconnect::SetBaseLineThickness | ( | float | val | ) |

Sets the line thickness of the base tee.

Parameters

  val | The new line thickness in logical units

## ◆ SetBaseShowFlow()

void GlsSchematicTeeInterconnect::SetBaseShowFlow | ( | bool | showFlow | ) |

Set whether or not the flow is displayed for the base tee.

Parameters

  showFlow | True to show flow else false

## ◆ SetBaseShowFlowBlink()

void GlsSchematicTeeInterconnect::SetBaseShowFlowBlink | ( | bool | showFlowBlink | ) |

Set whether or not the flow blink is displayed for the base tee.

(NOTE: normal flow is not drawn if flow blink is true)

Parameters

  showFlowBlink | True to show flow blink else false

## ◆ SetLeftFlowBlinkEndColor()

void GlsSchematicTeeInterconnect::SetLeftFlowBlinkEndColor | ( | GlsColor & | endColor | ) |

Set the flow blink end color for the left tee.

Parameters

  endColor | The flow blink end color

## ◆ SetLeftFlowBlinkRate()

void GlsSchematicTeeInterconnect::SetLeftFlowBlinkRate | ( | float | flowBlinkRate | ) |

Set the flow blink rate in Hz for the left tee.

Parameters

  flowBlinkRate | The flow blink rate in Hz

## ◆ SetLeftFlowBlinkStartColor()

void GlsSchematicTeeInterconnect::SetLeftFlowBlinkStartColor | ( | GlsColor & | startColor | ) |

Set the flow blink start color for the left tee.

Parameters

  startColor | The flow blink start color

## ◆ SetLeftFlowRate()

void GlsSchematicTeeInterconnect::SetLeftFlowRate | ( | float | flowRate | ) |

Set the flow rate in "flow textures" / second for the left tee.

This value must be positive.

Parameters

  flowRate | The new flow rate in "flow textures" / second

## ◆ SetLeftFlowTextureIndex()

void GlsSchematicTeeInterconnect::SetLeftFlowTextureIndex | ( | int | flowTextureIndex | ) |

Set the flow texture index for the left tee.

Parameters

  flowTextureIndex | The new flow texture index or NO_TEXTURE for no flow texture

## ◆ SetLeftFlowTextureRepeatLength()

void GlsSchematicTeeInterconnect::SetLeftFlowTextureRepeatLength | ( | float | flowTextureRepeatLength | ) |

Set the number of logical units per flow texture repeat for the left tee.

This value must be positive. NOTE: number of actual repeats for the whole interconnect is always rounded to the nearest whole number so that adjacent interconnect's textures line up.

Parameters

  flowTextureRepeatLength | The new flow texture repeat length

Precondition
  flowTextureRepeatLength > 0.0f

## ◆ SetLeftInterconnectTextureIndex()

void GlsSchematicTeeInterconnect::SetLeftInterconnectTextureIndex | ( | int | interconnectTextureIndex | ) |

Set the interconnect texture index of the left tee.

Parameters

  interconnectTextureIndex | The new interconnect texture index, or NO_TEXTURE for no interconnect texture

## ◆ SetLeftInterconnectTextureRepeatLength()

void GlsSchematicTeeInterconnect::SetLeftInterconnectTextureRepeatLength | ( | float | interconnectTextureRepeatLength | ) |

Set the number of logical units per interconnect texture repeat for the left tee.

This value must be positive. NOTE: number of actual repeats for the whole interconnect is always rounded to the nearest whole number so that adjacent interconnect's textures line up.

Parameters

  interconnectTextureRepeatLength | The new interconnect texture repeat length

Precondition
  interconnectTextureRepeatLength > 0.0f

## ◆ SetLeftLineThickness()

void GlsSchematicTeeInterconnect::SetLeftLineThickness | ( | float | val | ) |

Sets the line thickness of the left tee.

Parameters

  val | The new line thickness in logical units

## ◆ SetLeftShowFlow()

void GlsSchematicTeeInterconnect::SetLeftShowFlow | ( | bool | showFlow | ) |

Set whether or not the flow is displayed for the left tee.

Parameters

  showFlow | True to show flow else false

## ◆ SetLeftShowFlowBlink()

void GlsSchematicTeeInterconnect::SetLeftShowFlowBlink | ( | bool | showFlowBlink | ) |

Set whether or not the flow blink is displayed for the left tee.

(NOTE: normal flow is not drawn if flow blink is true)

Parameters

  showFlowBlink | True to show flow blink else false

## ◆ SetRightFlowBlinkEndColor()

void GlsSchematicTeeInterconnect::SetRightFlowBlinkEndColor | ( | GlsColor & | endColor | ) |

Set the flow blink end color for the right tee.

Parameters

  endColor | The flow blink end color

## ◆ SetRightFlowBlinkRate()

void GlsSchematicTeeInterconnect::SetRightFlowBlinkRate | ( | float | flowBlinkRate | ) |

Set the flow blink rate in Hz for the right tee.

Parameters

  flowBlinkRate | The flow blink rate in Hz

## ◆ SetRightFlowBlinkStartColor()

void GlsSchematicTeeInterconnect::SetRightFlowBlinkStartColor | ( | GlsColor & | startColor | ) |

Set the flow blink start color for the right tee.

Parameters

  startColor | The flow blink start color

## ◆ SetRightFlowRate()

void GlsSchematicTeeInterconnect::SetRightFlowRate | ( | float | flowRate | ) |

Set the flow rate in "flow textures" / second for the right tee.

This value must be positive.

Parameters

  flowRate | The new flow rate in "flow textures" / second

## ◆ SetRightFlowTextureIndex()

void GlsSchematicTeeInterconnect::SetRightFlowTextureIndex | ( | int | flowTextureIndex | ) |

Set the flow texture index for the right tee.

Parameters

  flowTextureIndex | The new flow texture index or NO_TEXTURE for no flow texture

## ◆ SetRightFlowTextureRepeatLength()

void GlsSchematicTeeInterconnect::SetRightFlowTextureRepeatLength | ( | float | flowTextureRepeatLength | ) |

Set the number of logical units per flow texture repeat for the right tee.

This value must be positive. NOTE: number of actual repeats for the whole interconnect is always rounded to the nearest whole number so that adjacent interconnect's textures line up.

Parameters

  flowTextureRepeatLength | The new flow texture repeat length

Precondition
  flowTextureRepeatLength > 0.0f

## ◆ SetRightInterconnectTextureIndex()

void GlsSchematicTeeInterconnect::SetRightInterconnectTextureIndex | ( | int | interconnectTextureIndex | ) |

Set the interconnect texture index of the right tee.

Parameters

  interconnectTextureIndex | The new interconnect texture index or NO_TEXTURE for no interconnect texture

## ◆ SetRightInterconnectTextureRepeatLength()

void GlsSchematicTeeInterconnect::SetRightInterconnectTextureRepeatLength | ( | float | interconnectTextureRepeatLength | ) |

Set the number of logical units per interconnect texture repeat for the right tee.

This value must be positive. NOTE: number of actual repeats for the whole interconnect is always rounded to the nearest whole number so that adjacent interconnect's textures line up.

Parameters

  interconnectTextureRepeatLength | The new interconnect texture repeat length

Precondition
  interconnectTextureRepeatLength > 0.0f

## ◆ SetRightLineThickness()

void GlsSchematicTeeInterconnect::SetRightLineThickness | ( | float | val | ) |

Sets the line thickness of the right tee.

Parameters

  val | The new line thickness in logical units

## ◆ SetRightShowFlow()

void GlsSchematicTeeInterconnect::SetRightShowFlow | ( | bool | showFlow | ) |

Set whether or not the flow is displayed for the right tee.

Parameters

  showFlow | True to show flow else false

## ◆ SetRightShowFlowBlink()

void GlsSchematicTeeInterconnect::SetRightShowFlowBlink | ( | bool | showFlowBlink | ) |

Set whether or not the flow blink is displayed for the right tee.

(NOTE: normal flow is not drawn if flow blink is true)

Parameters

  showFlowBlink | True to show flow blink else false

## ◆ SetTopFlowBlinkEndColor()

void GlsSchematicTeeInterconnect::SetTopFlowBlinkEndColor | ( | GlsColor & | endColor | ) |

Set the flow blink end color for the top tee.

Parameters

  endColor | The flow blink end color

## ◆ SetTopFlowBlinkRate()

void GlsSchematicTeeInterconnect::SetTopFlowBlinkRate | ( | float | flowBlinkRate | ) |

Set the flow blink rate in Hz for the top tee.

Parameters

  flowBlinkRate | The flow blink rate in Hz

## ◆ SetTopFlowBlinkStartColor()

void GlsSchematicTeeInterconnect::SetTopFlowBlinkStartColor | ( | GlsColor & | startColor | ) |

Set the flow blink start color for the top tee.

Parameters

  startColor | The flow blink start color

## ◆ SetTopFlowRate()

void GlsSchematicTeeInterconnect::SetTopFlowRate | ( | float | flowRate | ) |

Set the flow rate in "flow textures" / second for the top tee.

This value must be positive.

Parameters

  flowRate | The flow rate in "flow textures" / second

## ◆ SetTopFlowTextureIndex()

void GlsSchematicTeeInterconnect::SetTopFlowTextureIndex | ( | int | flowTextureIndex | ) |

Set the flow texture index for the top tee.

Parameters

  flowTextureIndex | The new flow texture index or NO_TEXTURE for no flow texture

## ◆ SetTopFlowTextureRepeatLength()

void GlsSchematicTeeInterconnect::SetTopFlowTextureRepeatLength | ( | float | flowTextureRepeatLength | ) |

Set the number of logical units per flow texture repeat for the top tee.

This value must be positive. NOTE: number of actual repeats for the whole interconnect is always rounded to the nearest whole number so that adjacent interconnect's textures line up.

Parameters

  flowTextureRepeatLength | The new flow texture repeat length

Precondition
  flowTextureRepeatLength > 0.0f

## ◆ SetTopInterconnectTextureIndex()

void GlsSchematicTeeInterconnect::SetTopInterconnectTextureIndex | ( | int | interconnectTextureIndex | ) |

Set the interconnect texture index of the top tee.

Parameters

  interconnectTextureIndex | The new interconnect texture index or NO_TEXTURE for no interconnect texture

## ◆ SetTopInterconnectTextureRepeatLength()

void GlsSchematicTeeInterconnect::SetTopInterconnectTextureRepeatLength | ( | float | interconnectTextureRepeatLength | ) |

Set the number of logical units per interconnect texture repeat for the top tee.

This value must be positive. NOTE: number of actual repeats for the whole interconnect is always rounded to the nearest whole number so that adjacent interconnect's textures line up.

Parameters

  interconnectTextureRepeatLength | The new interconnect texture repeat length

Precondition
  interconnectTextureRepeatLength > 0.0f

## ◆ SetTopLineThickness()

void GlsSchematicTeeInterconnect::SetTopLineThickness | ( | float | val | ) |

Sets the line thickness of the top tee.

Parameters

  val | The new line thickness in logical units

## ◆ SetTopShowFlow()

void GlsSchematicTeeInterconnect::SetTopShowFlow | ( | bool | showFlow | ) |

Set whether or not the flow is displayed for the top tee.

Parameters

  showFlow | True to show flow else false

## ◆ SetTopShowFlowBlink()

void GlsSchematicTeeInterconnect::SetTopShowFlowBlink | ( | bool | showFlowBlink | ) |

Set whether or not the flow blink is displayed for the top tee.

(NOTE: normal flow is not drawn if flow blink is true)

Parameters

  showFlowBlink | True to show flow blink else false

## ◆ SetTopVisible()

void GlsSchematicTeeInterconnect::SetTopVisible | ( | bool | topVisible | ) |

Set the flag to determine if the top of the tee is visible.

Parameters

  topVisible | The flag to determine if top of tee is visible

The documentation for this class was generated from the following file:

- gls_schematic_tee_interconnect.i